Layer 7 API Management

Expand all | Collapse all

Mobile SDK - Bluetooth Required?

Jump to Best Answer
  • 1.  Mobile SDK - Bluetooth Required?

    Posted 08-21-2019 11:01 AM
    ​Hi,

    We are working with a partner who is adding the Mobile SDK libraries to their iOS app.

    Adding the libraries appears to trigger a warning when they upload the app, that the app "Requires Bluetooth for Backend Services" although they are not using this feature.

    What they are asking is ... is there some way of disabling the Bluetooth requirement ?    (similar to the way you can disable location services using the "location_enabled" flag from the "mobile_sdk" section in msso_config.json)

    I tried removing the "ble" section from msso_config.json but this just causes the SDK to fail to initialize.

    Best Regards,
    DaveV.


  • 2.  RE: Mobile SDK - Bluetooth Required?

    Posted 08-28-2019 01:20 AM
    Hello David,

     check manifests/AndroidManifest.xml file and remove line

    <uses-permission ....         "android.permission.BLUETOOTH" />

    Regards


  • 3.  RE: Mobile SDK - Bluetooth Required?

    Posted 08-28-2019 01:22 AM
    Sorry this was for Android.


  • 4.  RE: Mobile SDK - Bluetooth Required?
    Best Answer

    Posted 09-05-2019 06:41 PM
    Hi David,
    In the next SDK release SDK2.0, we will decouple the BLE into separate module from MASFoundation, by then, you can disable BLE module if you do't want to use it.

    Best Regards,
    Helen


  • 5.  RE: Mobile SDK - Bluetooth Required?

    Posted 09-19-2019 12:05 PM
    Thanks Helen, that's great.
    I will let the customer know.

    Kind Regards,
    DaveV.